curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"tenantId": "acme-outdoors",
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"url": "https://example.com/webhooks/stateset",
"isActive": true,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z"
}
]
}
List registered webhooks for a tenant
Registered webhooks for this tenant
GET
/
v1
/
tenants
/
{tenant_id}
/
webhooks
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"tenantId": "acme-outdoors",
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"url": "https://example.com/webhooks/stateset",
"isActive": true,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
string
required
Tenant identifier
Response
object
string
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Registered webhooks for this tenant |
401 | Unauthorized |
404 | Tenant not found |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"tenantId": "acme-outdoors",
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"source": "string",
"topic": "string",
"url": "https://example.com/webhooks/stateset",
"isActive": true,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z"
}
]
}